CVE-2021-39227

ZRender is a lightweight graphic library providing 2d draw for Apache ECharts. In versions prior to 5.2.1, using `merge` and `clone` helper methods in the `src/core/util.ts` module results in prototype pollution. It affects the popular data visualization library Apache ECharts, which uses and exports these two methods directly. The GitHub Security Advisory page for this vulnerability contains a proof of concept. This issue is patched in ZRender version 5.2.1. One workaround is available: Check if there is `__proto__` in the object keys. Omit it before using it as an parameter in these affected methods. Or in `echarts.util.merge` and `setOption` if project is using ECharts.
References
Configurations

Configuration 1 (hide)

cpe:2.3:a:baidu:zrender:*:*:*:*:*:*:*:*

Information

Published : 2021-09-17 07:15

Updated : 2021-09-29 12:38


NVD link : CVE-2021-39227

Mitre link : CVE-2021-39227


JSON object : View

CWE
CWE-915

Improperly Controlled Modification of Dynamically-Determined Object Attributes

Products Affected

baidu

  • zrender